Chain
Date: 2019-10-22

org.jmol.modelset

## Class Chain

- java.lang.Object
- - org.jmol.modelset.Chain

- All Implemented Interfaces:
    Structure

      public final class Chain
      extends java.lang.Object
      implements Structure

  A Model is a collection of Chains of Groups of Atoms. Chains hold overall information relating to a Monomer, particularly whether this monomer is RNA or DNA.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `chainID` chainID is either the integer form of a single character or a pointer into a map held in Viewer that allows retrieval of a longer string
    `int` | `chainNo` chainNo is for information purposes only; retrieved by {atoms}.chainNo
    `int` | `groupCount`
    `Group[]` | `groups` Groups form the essence of what a Chain is.
    `Model` | `model`
    `int` | `selectedGroupCount` Calculated just prior to coloring by group so that the range is appropriate for each chain.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chain(Model model, int chainID, int chainNo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `calcSelectedGroupsCount(javajs.util.BS bsSelected)` prior to coloring by group, we need the chain count per chain that is selected
    `(package private) void` | `fixIndices(int atomsDeleted, javajs.util.BS bsDeleted)`
    `java.lang.String` | `getIDStr()`
    `void` | `setAtomBits(javajs.util.BS bs)`
    `void` | `setAtomBitsAndClear(javajs.util.BS bs, javajs.util.BS bsOut)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### model

          public Model model

    - #### chainID

          public int chainID

      chainID is either the integer form of a single character or a pointer into a map held in Viewer that allows retrieval of a longer string

    - #### chainNo

          public int chainNo

      chainNo is for information purposes only; retrieved by {atoms}.chainNo

    - #### groups

          public Group[] groups

      Groups form the essence of what a Chain is. This number will be 0 if there is no chain designation in the PDB or CIF file or when the file is not of a type that would have chain designations.

    - #### groupCount

          public int groupCount

    - #### selectedGroupCount

          public int selectedGroupCount

      Calculated just prior to coloring by group so that the range is appropriate for each chain.

  - ### Constructor Detail

    - #### Chain

          Chain(Model model,
                int chainID,
                int chainNo)

  - ### Method Detail

    - #### getIDStr

          public java.lang.String getIDStr()

      Returns:
        actual string form of the chain identifier

    - #### calcSelectedGroupsCount

          void calcSelectedGroupsCount(javajs.util.BS bsSelected)

      prior to coloring by group, we need the chain count per chain that is selected
      Parameters:
        `bsSelected` -

    - #### fixIndices

          void fixIndices(int atomsDeleted,
                          javajs.util.BS bsDeleted)

    - #### setAtomBits

          public void setAtomBits(javajs.util.BS bs)

      Specified by:
        `setAtomBits` in interface `Structure`

    - #### setAtomBitsAndClear

          public void setAtomBitsAndClear(javajs.util.BS bs,
                                          javajs.util.BS bsOut)

      Specified by:
        `setAtomBitsAndClear` in interface `Structure`